<!-- Keycloak -->
<div class="app-modal">
  <div class="app-modal-header bg-dark d-flex flex-row justify-content-between">Keycloak</div>
  <div class="app-modal-body">

    <!-- Info display -->
    <div class="keycloak-info">
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak URL
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="URL of your Keycloak server. Make sure Strapper can reach this server"></i>
        </strong>
        <pre class="col col-md-9 mb-0">{% if keycloak_config.keycloak_url %}{{ keycloak_config.keycloak_url }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak base path
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The base path used for accessing the Keycloak REST API. Default to an empty string"></i>
        </strong>
        <pre class="col col-md-9 mb-0">{% if keycloak_config.keycloak_base_path %}{{ keycloak_config.keycloak_base_path }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak client id
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The client_id for the client that was created in the 'Keycloak Setup' section. This client will create resources for apps on behalf of Strapper. Make sure this client has necessary roles to do so"></i>
        </strong>
        <pre class="col col-md-9 mb-0">{% if keycloak_config.keycloak_client_id %}{{ keycloak_config.keycloak_client_id }}{% else %}Not set{% endif %}</pre>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak client secret
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The secret for the client provided above for authentication via the client credentials grant. This can be found or changed using the 'Credentials' tab in the client settings"></i>
        </strong>
        {% if keycloak_config.keycloak_client_secret %}
          <span class="password-display col col-md-9">
            <pre class="password mb-0">****************</pre>
            <pre class="text d-none mb-0"><code>{{ keycloak_config.keycloak_client_secret }}</code></pre>
            <div class="show-btn">Show</div>
          </span>
        {% else %}
                      <pre class="col col-md-9 mb-0">Not set</pre>
        {% endif %}
      </div>
      <button type="button" class="btn btn-outline-dark btn-sm mt-3 edit-btn">Edit</button>
    </div>

    <!-- Form -->
    <form
      action="{% url 'update_keycloak_config' %}"
      method="post"
      class="keycloak-form d-none">
      {% csrf_token %}
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak URL
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="URL of your Keycloak server. Make sure Strapper can reach this server"></i>
        </strong>
        <span class="col col-md-9">
          <input type="text" name="keycloak_url" class="form-control col col-md-9" {% if keycloak_config.keycloak_url %}value="{{ keycloak_config.keycloak_url }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak base path
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The base path used for accessing the Keycloak REST API. Default to an empty string"></i>
        </strong>
        <span class="col col-md-9">
          <input type="text" name="keycloak_base_path" class="form-control col col-md-9" {% if keycloak_config.keycloak_base_path %}value="{{ keycloak_config.keycloak_base_path }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak client id
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The client_id for the client that was created in the 'Keycloak Setup' section. This client will create resources for apps on behalf of Strapper. Make sure this client has necessary roles to do so"></i>
        </strong>
        <span class="col col-md-9">
          <input type="text" name="keycloak_client_id" class="form-control col col-md-9" {% if keycloak_config.keycloak_client_id %}value="{{ keycloak_config.keycloak_client_id }}"{% endif %}>
        </span>
      </div>
      <div class="row my-1">
        <strong class="col col-md-3">
          Keycloak client secret
          <i class="fa-solid fa-circle-info ms-2 text-primary" data-bs-toggle="tooltip" data-bs-placement="right" data-bs-title="The secret for the client provided above for authentication via the client credentials grant. This can be found or changed using the 'Credentials' tab in the client settings"></i>
        </strong>
        <span class="col col-md-9">
          <input type="text" name="keycloak_client_secret" class="form-control col col-md-9" {% if keycloak_config.keycloak_client_secret %}value="{{ keycloak_config.keycloak_client_secret }}"{% endif %}>
        </span>
      </div>
      <button type="button" class="btn btn-danger btn-sm mt-2 cancel-btn">Cancel</button>
      <button type="submit" class="btn btn-dark btn-sm mt-2">Submit</button>
    </form>

  </div>
</div>
